Payments
Read-only — payment intents, refunds, transactions, subscriptions and payment reports.
6 endpoints · base /api/v1/payment
Details of one payment intent.
MCP tool:
payment_get_intentScope: payment.intents.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
id | GUID | path | yes | — |
Example
curl https://api.nextx.vn/api/v1/payment/intents/<id> \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"intentId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"status": "string",
"providerCode": "string",
"paymentUrl": "string",
"qrCodeData": "string",
"amount": 0,
"currency": "string",
"referenceType": "string",
"referenceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"payerType": "string",
"payerId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"description": "string",
"expiresAt": "2026-10-27T09:00:00+07:00",
"completedAt": "2026-10-27T09:00:00+07:00",
"transactionId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"createdAt": "2026-10-27T09:00:00+07:00"
}List refunds.
MCP tool:
payment_list_refundsScope: payment.refunds.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | — |
pageSize | int | query | no | — |
status | string | query | no | — |
from | date | query | no | YYYY-MM-DD |
to | date | query | no | YYYY-MM-DD |
Example
curl https://api.nextx.vn/api/v1/payment/refunds?pageNumber=1&pageSize=1&status=...&from=2026-06-01&to=2026-06-01 \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"refundId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"transactionId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"amount": 0,
"currency": "string",
"refundMethod": "string",
"status": "string",
"reason": "string",
"requestedBy": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"createdAt": "2026-10-27T09:00:00+07:00",
"approvedBy": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"approvedAt": "2026-10-27T09:00:00+07:00",
"rejectedBy": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"rejectedAt": "2026-10-27T09:00:00+07:00",
"rejectionReason": "string",
"processedAt": "2026-10-27T09:00:00+07:00",
"providerRefundId": "string",
"bankTransactionRef": "string",
"providerCode": "string",
"transactionAmount": 0,
"referenceType": "string",
"referenceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"providerTransactionId": "string"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalPages": 0,
"totalCount": 0
}List payment transactions.
MCP tool:
payment_list_transactionsScope: payment.transactions.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | — |
pageSize | int | query | no | — |
providerCode | string | query | no | — |
fromDate | date | query | no | YYYY-MM-DD |
toDate | date | query | no | YYYY-MM-DD |
Example
curl https://api.nextx.vn/api/v1/payment/transactions?pageNumber=1&pageSize=1&providerCode=...&fromDate=2026-06-01&toDate=2026-06-01 \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"intentId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"providerCode": "string",
"referenceType": "string",
"referenceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"amount": 0,
"netAmount": 0,
"currency": "string",
"providerTransactionId": "string",
"paidAt": "2026-10-27T09:00:00+07:00",
"createdAt": "2026-10-27T09:00:00+07:00",
"providerApprovalCode": "string",
"paymentInstrument": "string",
"paymentInstrumentDetail": "string",
"refundedAmount": 0,
"refundCount": 0,
"latestRefundStatus": "string"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalPages": 0,
"totalRecords": 0,
"totalAmount": 0,
"totalNetAmount": 0
}Details of one payment transaction.
MCP tool:
payment_get_transactionScope: payment.transactions.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
id | GUID | path | yes | — |
Example
curl https://api.nextx.vn/api/v1/payment/transactions/<id> \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"transactionId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"intentId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"providerCode": "string",
"providerTransactionId": "string",
"referenceType": "string",
"referenceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"payerType": "string",
"payerId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"amount": 0,
"netAmount": 0,
"currency": "string",
"paidAt": "2026-10-27T09:00:00+07:00",
"createdAt": "2026-10-27T09:00:00+07:00"
}List recurring subscriptions.
MCP tool:
payment_list_subscriptionsScope: payment.subscriptions.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | — |
pageSize | int | query | no | — |
status | string | query | no | — |
providerCode | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/payment/subscriptions?pageNumber=1&pageSize=1&status=...&providerCode=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"subscriptionId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"referenceType": "string",
"referenceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"payerType": "string",
"payerId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"providerCode": "string",
"amount": 0,
"currency": "string",
"billingPeriod": "string",
"renewalModel": "string",
"status": "string",
"currentPeriodStart": "2026-10-27T09:00:00+07:00",
"currentPeriodEnd": "2026-10-27T09:00:00+07:00",
"nextBillingDate": "2026-10-27T09:00:00+07:00",
"reminderDaysBefore": 0,
"gracePeriodDays": 0,
"reminderSentAt": "2026-10-27T09:00:00+07:00",
"suspendedAt": "2026-10-27T09:00:00+07:00",
"cancelledAt": "2026-10-27T09:00:00+07:00",
"createdAt": "2026-10-27T09:00:00+07:00"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalPages": 0,
"totalCount": 0
}Payment report overview for a date range.
MCP tool:
payment_get_report_overviewScope: payment.reports.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
from | date | query | no | YYYY-MM-DD |
to | date | query | no | YYYY-MM-DD |
Example
curl https://api.nextx.vn/api/v1/payment/reports/overview?from=2026-06-01&to=2026-06-01 \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"from": "2026-10-27",
"to": "2026-10-27",
"totalTransactions": 0,
"totalAmount": 0,
"totalNetAmount": 0,
"totalFees": 0,
"totalRefunds": 0,
"activeSubscriptions": 0,
"pendingRefunds": 0,
"byProvider": [
{
"providerCode": "string",
"transactionCount": 0,
"totalAmount": 0,
"successRate": 0,
"avgFeeRate": 0
}
],
"byReferenceType": [
{
"referenceType": "string",
"count": 0,
"totalAmount": 0
}
]
}